Bug 1865739

Summary: Review Request: R-profmem - Simple Memory Profiling for R
Product: [Fedora] Fedora Reporter: Elliott Sales de Andrade <quantum.analyst>
Component: Package ReviewAssignee: José Matos <jamatos>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jamatos, package-review
Target Milestone: ---Flags: jamatos: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-17 01:07:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Elliott Sales de Andrade 2020-08-04 03:21:35 UTC
Spec URL: https://qulogic.fedorapeople.org/reviews/R-profmem/R-profmem.spec
SRPM URL: https://qulogic.fedorapeople.org/reviews/R-profmem/R-profmem-0.5.0-1.fc31.src.rpm

Description:
A simple and light-weight API for memory profiling of R expressions.  The
profiling is built on top of R's built-in memory profiler
('utils::Rprofmem()'), which records every memory allocation done by R (also
native code).


Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=48580951

Comment 1 José Matos 2020-08-05 22:02:38 UTC
This is a simple package.

fedora-review has two short complaints:
- Package have the default element marked as %%doc :doc, DESCRIPTION, NEWS
- Package requires R-core.

The license is correct and the spec is well written and follows the Fedora
packaging guidelines.

So the package is approved.

Comment 2 Gwyn Ciesla 2020-08-06 12:26:03 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-profmem

Comment 3 Fedora Update System 2020-08-08 23:58:26 UTC
FEDORA-2020-c5bbbd177c has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c5bbbd177c

Comment 4 Fedora Update System 2020-08-09 00:01:54 UTC
FEDORA-2020-dc504a2e7e has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-dc504a2e7e

Comment 5 Fedora Update System 2020-08-09 03:01:39 UTC
FEDORA-2020-dc504a2e7e has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-dc504a2e7e \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dc504a2e7e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-08-09 03:47:41 UTC
FEDORA-2020-c5bbbd177c has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-c5bbbd177c \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c5bbbd177c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-08-17 01:07:45 UTC
FEDORA-2020-dc504a2e7e has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-08-17 01:13:36 UTC
FEDORA-2020-c5bbbd177c has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.